K P I

Create key performance indicator result

POST
/api/public/v3/performance/key_performance_indicators/{key_performance_indicator_id}/key_performance_indicator_results

Path Parameters

key_performance_indicator_id*integer

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/public/v3/performance/key_performance_indicators/0/key_performance_indicator_results" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'value=string&occurred_on=string&comment=string'
{  "data": {    "id": 0,    "value": "string",    "comment": "string",    "occurred_on": "string",    "key_performance_indicator": {      "id": 0,      "title": "string",      "description": null,      "weight": null,      "currency_code": null,      "metric": "string",      "status": "string",      "kpi_type": "string",      "location": {        "id": 0,        "name": "string",        "address": null,        "time_zone": "string",        "holiday_policy_id": null,        "created_at": "string",        "updated_at": "string"      },      "division": {        "id": 0,        "name": "string",        "created_at": "string",        "updated_at": "string"      },      "department": {        "id": 0,        "name": "string",        "parent_id": null,        "manager_id": null,        "department_level": null,        "fields": {},        "created_at": "string",        "updated_at": "string"      },      "owner": null,      "created_at": "string",      "updated_at": "string"    },    "created_at": "string",    "updated_at": "string"  }}